#include <iostream>
#include <string>
#include <cstdlib>
#include "md5.h"

using namespace std;
using namespace security_tools;

int main(int argc, char ** argv)
{
   string temp;

   if(argc != 2) {
      cerr << "usage: md5 <file-name>" << endl;
      exit(1);
   }

   if(compute_md5(argv[1], temp)) {
      cout << temp << endl << flush;
   }

   return 0; 
}   
